RubyGems Navigation menu

puppet-lint-roles_and_profiles-check 0.1.1

A puppet-lint plugin to check that: - a node definition declares only a role, - a role class does not have any param and only declares profiles, - a profiles class can declare anything but a role.

Versions:

  1. 0.1.1 - August 18, 2016 (6 KB)
  2. 0.1.0 - October 26, 2014 (6 KB)

Runtime Dependencies (1):

  • puppet-lint < 3.0, >= 1.0
  • Development Dependencies (4):

    Owners:

    Authors:

    • Mickaël Canévet

    SHA 256 checksum:

    3bae8a9f889c12346478d2489839f66d18f1beb52f6c943a541c8058f22441e2

    Total downloads 173,140

    For this version 161,648

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: